# CHANGELOG.md
```
版本变更记录日志，该文件由测试人员编写，主要记录版本变更情况，包括版本号、变更内容、变更时间等。
日志内容应与对应版本号的需求文档一致，以便于版本管理和追溯。
```
版本号----v1.0.0----

变更内容----：

导航栏，主要提供跳转至各个页面的功能，如果在点击当前页面，则不提供任何操作，例如在首页点击logo或者首页按钮，不做任何操作				
登陆提供完整功能，未登陆只提供首页相关功能				
所有页面该组件均应锁定在页面最上方，方便用户跳转				
轮播图，主要展示宣传图等内容				
币种选择器，根据选择的币种调整主页相关内容显示				
广播，显示一些提示或者紧急信息				
算力图，提供矿池算力、全网算力图标，图中显示算力和币价				
币种相关信息，提供矿池算力，全网算力，全网难度，算法，当前高度，币价，分配模式/矿池费率，收益计算，接入文档跳转功能				
提供矿池最新10个报块信息，包括出块高度、出块时间、出块hash、出块奖励，并提供点击跳转至最新报块页面功能				
如果没有登陆，则不提供该功能				
页尾栏，提供一些文档跳转、发送邮件功能，例如m2pool描述、api文档跳转、费率文档跳转、挖矿教程跳转、工单页跳转、发送邮件、一般性声明文件跳转				
客服聊天按钮，提供客服聊天功能				
显示挖矿账户币种-挖矿账户名，方便用户查看，锁定至navigation组件下方				
显示当前挖矿账户总收入、总支出(已提现)、昨日收益、今日已挖、账户余额的数据显示，提供跳转至付款设置功能				
今日已挖(预估)特别说明：				
账户余额特别说明：				
展示当前挖矿地址拥有的算力图、矿机分布图				
展示当前挖矿地址拥有的全部矿机在离线数、矿机对应算力、最后提交时间、状态数据，并提供矿机历史算力图				
展示当前挖矿账户收益表格，包括结算日期，结算时过去24小时算力，收益数量				
站址当前挖矿账户提现表格，包括提现日期，提现地址，提现金额，支付状态				
币种选择器，根据选择的币种调整最新报块页面相关内容显示				
幸运值，显示3日，7日，30日，90日所选币种的幸运值				
提供所选币种全部的矿池报块信息，包括区块高度，出块时间，区块hash值，区块奖励,点击指定区块信息可跳转到相应的币种浏览器				
下方显示总页数，可选每页显示条数，可以点击页数跳转，可以输入页数跳转				
可以选择币种，添加，删除和修改挖矿账户				
添加需设置账户名称，钱包地址，币种，备注（选填），需通过双重验证动态口令				
删除需通过双重验证动态口令				
修改需通过双重验证动态口令后可修改钱包地址，设置起付额和是否自动提现以及备注				
可以根据挖矿账户创建，删除，设置只读页面				
创建时可设置备注，权限，也可以通过设置修改只读页面的备注和权限				
创建完后会生成只读页面链接，只读页面会根据权限显示总收入，总支出，昨日收益，今日已挖（预估），账户余额，实时/一天的总算力和拒绝率，实时/一天的矿机算力分布，全部/在线/离线矿工和收益支付等数据				
可以通过邮箱验证码修改密码				
可以使用手机上的谷歌身份验证器扫码或输入16位密钥，输入密码，邮箱验证码，双重验证动态口令开启双重验证				
可以使用邮箱验证码，双重验证动态口令关闭双重验证				
可以进行api文档跳转，指定ip地址和权限生成apikey，可以删除apikey				
可以通过设置修改ip和权限				
显示进行中，已完成和全部工单				
下方显示工单号，提交时间，用户邮箱，工单状态和工单详情				
进行中的工单点击详情可以看到工单具体信息，可以上传指定格式附件，选择继续提交和关闭工单				
已完成的工单点击详情只能看到工单具体信息				
提供中英文切换功能				
展示币种矿池费率相关的内容，例如币种，挖矿地址，挖矿费率，收益结算模式，起付额				
根据所选币种提供币种相关的挖矿教程，包含起付额，端口，挖矿软件，矿机型号，币种的的钱包地址				
根据遇到的问题填写问题描述，可选添加指定格式的附件，提交工单				
展示服务条款内容，包含总则，服务说明，用户资格，用户责任，费用与支付，收益与分配，数据与隐私，知识产权，免责声明，终止服务，法律适用与争议解决				
输入正确的邮箱和密码后输入正确的验证码即可登录				
输入邮箱，然后获取到验证码输入进去，再按格式输入密码即刻完成注册		

根据矿池的shares信息，统计每个矿工的算力，提供30分钟和24小时算力统计		
统计blkreportprofitv2表中最大高度 - 区块链当前高度的全部报块		
每天对过去一天的blkreportprofitv2表中的全部报块进行确认		
统计每天0时，每个挖矿账户下面所有矿工的24小时算力之和，再根据每个挖矿账户的算力占比以及昨日全部报块收益，分配挖矿账户前一天的收益		
统计每天收益的转账情况		
		                                                                                                                                     变更时间----2025-06-17
